
QGIS Application - Bug report #13419

Creating spatial index on Shapefile with invalid geometries will make the layer disappear in map 

canvas when zooming and panning

2015-09-24 08:59 PM - Laurence Bechet 

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 21468

Description

I've got one file which behaves strangely when associated with a spatial index. When I zoom in, the layer disappears from the project and

from any opened composers. If I remove the .qix file, the display is ok. If I re-create in qGIS the index (layer properties/Create spatial

index) the layer goes back to its random behaviour.

History

#1 - 2015-09-25 07:43 AM - Saber Razmjooei

- Target version set to Version 2.12

- Category set to Map Canvas

- Priority changed from Normal to Severe/Regression

- Affected QGIS version changed from 2.10.1 to master

- Operating System deleted (windows)

- OS version deleted (7 64bits)

Confirmed also in master. Works fine in 2.8.

#2 - 2015-09-25 03:00 PM - Salvatore Larosa

- Status changed from Open to Feedback

I cannot reproduce here, please attach a small testcase.

#3 - 2015-09-26 08:50 PM - Laurence Bechet 

- File spatialIndex.zip added

- Target version deleted (Version 2.12)

I thought I have attached testcase. Anyway, here they are again.

#4 - 2015-09-27 09:40 AM - Saber Razmjooei

- Status changed from Feedback to Open

#5 - 2015-09-29 01:27 AM - Salvatore Larosa
Thanks for the sample data.

I can confirm the issue although the attached  testcase  seems to have invalid geometries.

#6 - 2015-10-13 09:48 AM - Saber Razmjooei

- Subject changed from Shapefile with spatial index makes it disappear when zoomed in to Creating spatial index on Shapefile with invalid geometries 

will make the file disappear when zooming and panning

I can confirm that it doesn't happen with shapefile with correct geometries.

#7 - 2015-10-13 09:49 AM - Saber Razmjooei

- Subject changed from Creating spatial index on Shapefile with invalid geometries will make the file disappear when zooming and panning to Creating 

spatial index on Shapefile with invalid geometries will make the layer disappear in map canvas when zooming and panning

#8 - 2016-05-22 01:09 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

seems to work as expected on 2.14.3 and master, please reopen if necessary.

Files

spatialIndex.zip 20.2 KB 2015-09-26 Laurence Bechet 
